# Generated by Django 4.2.13 on 2025-02-21 14:23

import datetime
from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):

    dependencies = [
        ('extras', '0098_webhook_custom_field_data_webhook_tags'),
        ('netbox_rps_plugin', '0026_remove_hstsprotocol_logout_url'),
    ]

    operations = [
        migrations.CreateModel(
            name='Redirect',
            fields=[
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('source', models.CharField(max_length=2000)),
                ('target', models.CharField(max_length=2000)),
                ('redirect_type', models.CharField(default='1-1', max_length=3)),
                ('activation_date', models.DateTimeField(default=datetime.datetime.now)),
                ('deactivation_date', models.DateTimeField(blank=True, null=True)),
                ('mapping', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='redirects', to='netbox_rps_plugin.mapping')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ['id', 'mapping', 'source', 'target', 'redirect_type', 'activation_date', 'deactivation_date', 'last_updated', 'created'],
            },
        ),
        migrations.AddConstraint(
            model_name='redirect',
            constraint=models.CheckConstraint(check=models.Q(('deactivation_date__gt', models.F('activation_date')), ('deactivation_date__isnull', True), _connector='OR'), name='deactivation_date_after_activation_date'),
        ),
    ]
